#include <db.h>

//  constants and declarations for bogofilter

typedef struct 
{
  char *name;			// resource name (for debug/verbose messages)
  DB *db;			// database handle 
  unsigned long msgcount;	// count of messages in wordlist.
  unsigned long wordcount;	// count of messages in wordlist.
  char *file;			// associated  file
}
wordlist_t;

extern int read_list(wordlist_t *list);
extern void write_list(wordlist_t *ham_list);
extern void register_words(int fd, const char *list_class_name, const char *other_class_name, const char *directory);

extern int read_class_list(const char *directory);

extern int bogofilter(int fd,int &class_num);
extern int bogodump(const char *class_name);

extern wordlist_t ham_list, spam_list;
extern int verbose;
extern int status;

// discard tokens longer than this
#define MAXWORDLEN	100

// lexer interface
#define TOKEN		1	// Ordinary token
#define LESS_THAN	2
#define GREATER_THAN	3

// end
